%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define module boto
Summary:	An integrated interface to infrastructural services offered by Amazon Web Services
Summary(pl.UTF-8):	Zintegrowany interfejs do usług infrastruktury oferowanych przez usługi WWW Amazon
Name:		python-%{module}
Version:	2.42.0
Release:	2
License:	MIT
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/c4/bb/28324652bedb4ea9ca77253b84567d1347b54df6231b51822eaaa296e6e0/boto-%{version}.tar.gz
# Source0-md5:	62b6ef1af3d18f8811f97e311b856dad
URL:		https://github.com/boto/boto
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python-libs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An integrated interface to current and future infrastructural services
offered by Amazon Web Services.

%description -l pl.UTF-8
Zintegrowany interfejs do aktualnych i przyszłych usług infrastruktury
oferowanych przez usługi WWW Amazon.

%package -n python3-%{module}
Summary:	An integrated interface to infrastructural services offered by Amazon Web Services
Summary(pl.UTF-8):	Zintegrowany interfejs do usług infrastruktury oferowanych przez usługi WWW Amazon
Group:		Libraries/Python

%description -n python3-%{module}
An integrated interface to current and future infrastructural services
offered by Amazon Web Services.

%description -n python3-%{module} -l pl.UTF-8
Zintegrowany interfejs do aktualnych i przyszłych usług infrastruktury
oferowanych przez usługi WWW Amazon.

%package -n boto
Summary:	Python utilities for Amazon Web Services
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description -n boto
Boto is an integrated Python interface to current and future
infrastructural services offered by Amazon Web Services.

This package includes sample utilities implemented with this API.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with python2}
%py_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%py3_install
rm -rf $RPM_BUILD_ROOT%{py3_sitescriptdir}/tests
%endif

%if %{with python2}
rm -rf $RPM_BUILD_ROOT%{_bindir}
%py_install

rm -rf $RPM_BUILD_ROOT%{py_sitescriptdir}/tests
%py_postclean
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc PKG-INFO README*
%{py_sitescriptdir}/boto
%{py_sitescriptdir}/boto-*.egg-info

%files -n python3-%{module}
%defattr(644,root,root,755)
%doc PKG-INFO README*
%{py3_sitescriptdir}/boto
%{py3_sitescriptdir}/boto-*.egg-info

%files -n boto
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%changelog
* Wed Dec 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-boto.git;a=log;h=master

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> b0515b1
- python 3.6
- release 2 (by relup.sh)

* Sun Sep 18 2016 Jacek Konieczny <jajcus@jajcus.net> 9918160
- Version: 2.42.0

* Sun Dec 20 2015 Jan Rękorajski <baggins@pld-linux.org> 4ed30b0
- make sure installs are consistent and macthing internal deps
- rel 4

* Sun Dec 20 2015 Jan Rękorajski <baggins@pld-linux.org> 73a3e35
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> dc370c7
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b6447d7
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 364e292
- automatic change: use py_build/py_install macros

* Thu Sep 17 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> ed60413
- build python3 module too

* Thu Sep 17 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 3e3c23b
- Version: 2.38.0

* Thu Feb 23 2012 Jan Rękorajski <baggins@pld-linux.org> 6dcf472
- 2.2.2

* Thu Feb 17 2011 Jacek Konieczny <jajcus@pld-linux.org> 58599a0
- Version: 2.0b4 (1.9b won't work well with Python 2.7)
- utilities moved to the 'boto' package, python-boto now contains only the
  Python library

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> ce2680e
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5336814
- release 2

* Wed Feb 24 2010 duddits <duddits@pld-linux.org> 28ea283
- mama used to say: always clean up after yourself

* Wed Feb 24 2010 duddits <duddits@pld-linux.org> d4d2fef
- up to 1.9b
- %files

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> 324a0f0
- up to 1.6b
- more %files (added scripts to _bindir)

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 51f3383
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> fe70e1c
- release 2

* Fri Apr 25 2008 aredridel <aredridel@pld-linux.org> 26cf54c
- 1.2a

* Mon Apr 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 3fa0ce0
- pl
- R: python-libs not python

